
#ifndef USBFUN_H_INCLUDED
#define USBFUN_H_INCLUDED

#include <stdio.h>
#include <iostream>
using namespace std;
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <errno.h>
    #ifndef __MINGW32_VERSION
    #include <syslog.h>
    #include <sys/errno.h>
    #endif
#include <fcntl.h>
#include <sys/stat.h>
#include <signal.h>
#include <time.h>
#include <math.h>
#include <usb.h>    
#define USBDEV_SHARED_VENDOR    0x16C0  
#define USBDEV_SHARED_PRODUCT   0x05dc  
#define USBDEV_VENDOR   0x16C0  
#define USBDEV_PRODUCT  0x05dc  

#define CMD_ECHO    0
#define CMD_SET_OUTPUT 1
#define CMD_READ    2

#ifdef __MINGW32_VERSION
#define sleep(x)    _sleep(x)
#endif

#define BUF_LEN 12

#include <wx/string.h>

extern usb_dev_handle      *handle;
//extern unsigned char       buffer[BUF_LEN];
//extern char                runTest;
//extern int                 i, nBytes, vendor, device;

#define USB_ERROR_NOTFOUND  1
#define USB_ERROR_ACCESS    2
#define USB_ERROR_IO        3

static int  usbGetStringAscii(usb_dev_handle *dev, int index, int langid, char *buf, int buflen);
int usbOpenDevice(usb_dev_handle **device, int vendor, char *vendorName, int product, char *productName);
int test_polaczenia (int ile, usb_dev_handle *handle);
int wyslij_instrukcje (int instrukcja, int dane, usb_dev_handle *handle);

#endif //USBFUN_H_INCLUDED
