////////////////////////////////////////////////////
/////////////// written by: GUDI ///////////////////
////////////////////////////////////////////////////
/////// generowanie opoznien dla zegara 12MHz //////
////////////////////////////////////////////////////

#ifndef DELAY12_H_INCLUDED
#define DELAY12_H_INCLUDED

#include <inttypes.h>

#define delay83ns() {asm volatile("nop"::);}
#define NOP() {asm volatile("nop"::);}

#define delay250ns(t)\
	{asm volatile( \
		"mov __tmp_reg__, %[ticks] \n\t"\
		"delayus8_loop%=: \n\t"\
		"dec __tmp_reg__ \n\t"\
		"brne delayus8_loop%= \n\t"\
	: :[ticks]"r"(t) );}
	// DEC - 1 cykl, BRNE 2 cykle
	
// Deklaracja funkcji o najduszym opnieniu
void delay10us(uint8_t t);
void delayms(uint8_t t);

#endif //DELAY12_H_INCLUDED
